import type { _NSArray } from "./NSArray.js";
import type { _NSDateInterval } from "./NSDateInterval.js";
import type { _NSObject } from "./NSObject.js";
export declare class _NSURLSessionTaskMetrics extends _NSObject {
    static alloc(): _NSURLSessionTaskMetrics;
    /** @deprecated Not supported */
    static new(): _NSURLSessionTaskMetrics;
    /** @deprecated Not supported */
    init(): _NSURLSessionTaskMetrics;
    /**
     * transactionMetrics array contains the metrics collected for every request/response transaction created during the task execution.
     */
    transactionMetrics(): _NSArray;
    /**
     * Interval from the task creation time to the task completion time. Task creation time is the time when the task was instantiated. Task completion time is the time when the task is about to change its internal state to completed.
     */
    taskInterval(): _NSDateInterval;
    /**
     * redirectCount is the number of redirects that were recorded.
     * @deprecated Not supported
     */
    redirectCount(): number;
}
